Debian Bug report logs - #682957
multiple use of default menue entries

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Timo Juhani Lindfors <timo.lindfors@iki.fi>

Date: Fri, 27 Jul 2012 10:57:02 UTC

Severity: normal

Found in version live-build/3.0~a58-1

Fixed in version live-build/3.0~a62-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#682957; Package live-build-cgi. (Fri, 27 Jul 2012 10:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 27 Jul 2012 10:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-build-cgi: boot menu should default to "Live" and not "Live ( failsafe)"
Date: Fri, 27 Jul 2012 13:55:37 +0300
Package: live-build-cgi
Version: 3.0~a54-1
Severity: normal

I built a livecd using http://live-build.debian.net/cgi-bin/live-build
and stored all the output files at

http://lindi.iki.fi/lindi/xpra/live-build.debian.net/build/20120726.072537.172975686/

When I boot the iso I get a boot menu where the default is "Live (
failsafe)" instead of "Live". Is this a bug? I tried reading the
syslinux files. Is this because both menu entries are marked "menu
default" and the last one gets priority? git log shows that this was
added in

commit 224a2304c872e8c3143bb88cb77a35be4bc81e4a
Author: Daniel Baumann <daniel@debian.org>
Date:   Sun Apr 29 09:30:50 2012 +0200

    Adding failsafe entries for syslinux bootloaders in embedded
    configs.


For completeness here's the build file:

# live-build-cgi "3.0~a54-1" build file
# Thu, 26 Jul 2012 07:25:37 -0500

_BUILD="20120726.072537.172975686"
_EMAIL="timo.lindfors@iki.fi"

REMOTE_ADDR="84.248.66.131"

# CGI Packages List
_LB_CGIPACKAGES="task-gnome-desktop josm xpra"

# Standard options
LB_BINARY_IMAGES="iso-hybrid"
LB_DISTRIBUTION="wheezy"
LB_PACKAGE_LISTS="standard"
LB_TASKS=""

# Advanced bootstrap options
LB_ARCHITECTURES="i386"
LB_ARCHIVE_AREAS="main"

# Advanced chroot options
LB_CHROOT_FILESYSTEM="squashfs"
LB_LINUX_FLAVOURS="486"
LB_SECURITY="true"

# Advanced binary options
LB_BINARY_INDICES="true"
LB_BOOTAPPEND_INSTALL=""
LB_BOOTAPPEND_LIVE=""
LB_BOOTLOADER="syslinux"
LB_DEBIAN_INSTALLER="false"
LB_ISO_APPLICATION="Debian Live"
LB_ISO_PREPARER="live-build; http://packages.qa.debian.org/live-build"
LB_ISO_PUBLISHER="Debian Live project; http://live.debian.net/;
debian-live@lists.debian.org"
LB_ISO_VOLUME="Debian Live 20120726-07:16"
LB_MEMTEST="memtest86+"
LB_NET_ROOT_PATH="/srv/debian-live"
LB_NET_ROOT_SERVER="192.168.1.1"

# Advanced source options
LB_SOURCE_IMAGES="tar"
LB_SOURCE="false"

# Unofficial options
_CUSTOM_BOOTSTRAP=""
_CUSTOM_BINARY=""

# Other
LB_ARCHIVES=""
LB_PARENT_DISTRIBUTION="wheezy"
LB_PARENT_DEBIAN_INSTALLER_DISTRIBUTION="wheezy"
LB_BACKPORTS="false"
LB_MODE="debian"




-- System Information:
Debian Release: 6.0.5
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=C, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash



Bug reassigned from package 'live-build-cgi' to 'live-build'. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Fri, 27 Jul 2012 12:30:05 GMT) Full text and rfc822 format available.

No longer marked as found in versions live-build/3.0~a54-1. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Fri, 27 Jul 2012 12:30:06 GMT) Full text and rfc822 format available.

Changed Bug title to 'multiple use of default menue entries' from 'live-build-cgi: boot menu should default to "Live" and not "Live ( failsafe)"' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Fri, 27 Jul 2012 12:30:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#682957; Package live-build. (Mon, 10 Sep 2012 09:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Morris <sam@robots.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 10 Sep 2012 09:48:03 GMT) Full text and rfc822 format available.

Message #16 received at 682957@bugs.debian.org (full text, mbox):

From: Sam Morris <sam@robots.org.uk>
To: 682957@bugs.debian.org
Subject: Re: multiple use of default menu entries
Date: Mon, 10 Sep 2012 10:45:36 +0100
[Message part 1 (text/plain, inline)]
found 682957 3.0~a58-1
thanks

I'm attaching the hook script I use to work around this bug.

Regards,

-- 
Sam Morris <sam@robots.org.uk>
[remove-default.binary (application/x-shellscript, attachment)]

Marked as found in versions 3.0~a58-1/. Request was from Sam Morris <sam@robots.org.uk> to control@bugs.debian.org. (Mon, 10 Sep 2012 09:48:08 GMT) Full text and rfc822 format available.

No longer marked as found in versions 3.0~a58-1/. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 21 Sep 2012 18:34:44 GMT) Full text and rfc822 format available.

Marked as found in versions live-build/3.0~a58-1. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 21 Sep 2012 18:34:44 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#682957; Package live-build. (Fri, 21 Sep 2012 19:54:58 GMT) Full text and rfc822 format available.

Acknowledgement sent to owner@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 21 Sep 2012 19:54:58 GMT) Full text and rfc822 format available.

Message #27 received at 682957@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 682957@bugs.debian.org
Subject: Wrong versions fixed in bug 682957
Date: Fri, 21 Sep 2012 12:51:00 -0700
This bug (682957) had an incorrect found or fixed version which was
caused by 686106. I have removed the incorrect found or fixed version,
and added it back as a correct version. [This was the source of the
internal messages which you have received previously.]

If you have any questions, please contact owner@bugs.debian.org

Don Armstrong




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Mon, 01 Oct 2012 03:36:03 GMT) Full text and rfc822 format available.

Notification sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Bug acknowledged by developer. (Mon, 01 Oct 2012 03:36:03 GMT) Full text and rfc822 format available.

Message #32 received at 682957-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 682957-close@bugs.debian.org
Subject: Bug#682957: fixed in live-build 3.0~a62-1
Date: Mon, 01 Oct 2012 03:32:32 +0000
Source: live-build
Source-Version: 3.0~a62-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 682957@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 01 Oct 2012 05:02:08 +0200
Source: live-build
Binary: live-build live-build-cgi
Architecture: source all
Version: 3.0~a62-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Debian Live - System build scripts
 live-build-cgi - Debian Live - System build scripts (CGI frontend)
Closes: 682957
Changes: 
 live-build (3.0~a62-1) unstable; urgency=low
 .
   * Simplyfing clean option in lb config.
   * Only producing zsync files for iso and iso-hybrid images.
   * Supporting parent distribution as a variable field in syslinux
     splashes.
   * Supporting parent distribution as a variable field in archive
     definitions.
   * Avoiding warnings when checking for arguments in clean.
   * Updating squeeze point release version.
   * Updating wheezy pre-release version.
   * Also use .contents suffix for file list of sources images like for
     binary images, rather than the old .list suffix.
   * Using linux rather than kernel directive in syslinux configuration
     files.
   * Simplify internal replacement strings when processing syslinux
     configuration files.
   * Removing superfluous menu default directive in syslinux
     configuration files.
   * Clearing the screen when exiting syslinux menu.
   * Using menu default only once when populating syslinux configurations
     for more than one kernel flavour (Closes: #682957).
Checksums-Sha1: 
 3e73ab4cdeb7fa6663ad7a7b6be9db5b8d235df9 1329 live-build_3.0~a62-1.dsc
 7ad54fc65db76a9da55178d62c4d0b289e075ae8 163172 live-build_3.0~a62.orig.tar.xz
 99e15d9b5fa43fe4ba758025af7263717c8e3722 48040 live-build_3.0~a62-1.debian.tar.xz
 55c6733de1c3f825f1373124c52a1dcafa9a7017 195160 live-build_3.0~a62-1_all.deb
 a05ca9edb846740a8c59c28fb3a699b883c694b6 71880 live-build-cgi_3.0~a62-1_all.deb
Checksums-Sha256: 
 d453ae34483c8baf6510a8328ff57b7237804f75382263869849cdbab60a8f68 1329 live-build_3.0~a62-1.dsc
 1d3ff51e4c1d656650e5c2b24b884b895cadeb1405379d7127d23088a7992621 163172 live-build_3.0~a62.orig.tar.xz
 6a051f57ee91fe17d0c8dca6c6e37b913571ed3e450aceb192a084afc5765281 48040 live-build_3.0~a62-1.debian.tar.xz
 f37555406b9d027d79e7d850814ab380ab9fd62fb512971124bef5c1399e7923 195160 live-build_3.0~a62-1_all.deb
 66587c532575cd4a2a3f224c0035bd6164ab181d7d198c9498dade07c7e0fc78 71880 live-build-cgi_3.0~a62-1_all.deb
Files: 
 b8aa6e7d5670b634ffac64d2dce8f4ac 1329 misc optional live-build_3.0~a62-1.dsc
 fc6ce0ebcf55d56aeee8f722c3870378 163172 misc optional live-build_3.0~a62.orig.tar.xz
 0a89f36f6be532571cd79773445d960e 48040 misc optional live-build_3.0~a62-1.debian.tar.xz
 958abed956e53d62094dd029ee8ec220 195160 misc optional live-build_3.0~a62-1_all.deb
 377fce933cc199a17257aab2ac4412b5 71880 misc optional live-build-cgi_3.0~a62-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAlBpCnsACgkQ+C5cwEsrK56ujQCfVrTW8snOt9EL/CciPQue9abS
oDIAnjJ+eCE5GLSME6l1BG4H5ow2q/IX
=w77C
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 30 Oct 2012 07:27:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:36:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.